package com.flossom.common.core.domain.export;

import com.flossom.common.core.annotation.Excel;

import java.util.Date;
import java.util.List;

public class WxUserMemberExport {

    /**
     * id
     */
    @Excel(name = "用户编号")
    private Long id;

    /**
     * 昵称
     */
    @Excel(name = "会员昵称")
    private String nickname;

    /**
     * 积分
     */
    @Excel(name = "积分")
    private Integer credit;

    /**
     * 即将过期积分
     */
    @Excel(name = "即将过期积分")
    private Integer expireCredit;

    /**
     * unionid
     */
    @Excel(name = "unionid")
    private String unionid;

    /**
     * 手机
     */
    @Excel(name = "手机号")
    private String mobile;

    /**
     * 省
     */
    @Excel(name = "省")
    private String province;

    /**
     * 市
     */
    @Excel(name = "市")
    private String city;

    /**
     * 区
     */
    @Excel(name = "区")
    private String area;

    /**
     * 生日
     */
    @Excel(name = "生日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date birthday;


    /**
     * 绑定的仪器数量
     */
    @Excel(name = "仪器数量")
    private Integer devicesNum;

    @Excel(name = "仪器名称")
    private String devicesName;

    /**
     * 创建时间
     */
    @Excel(name = "用户注册时间", dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @Excel(name = "外部标签")
    String wecomTags;

    @Excel(name = "小程序标签")
    String miniProgramTags;


    public WxUserMemberExport() {
    }

    public WxUserMemberExport(Long id, String nickname, Integer credit, Integer expireCredit, String unionid, String mobile, String province, String city, String area, Date birthday, Integer devicesNum, Date createTime) {
        this.id = id;
        this.nickname = nickname;
        this.credit = credit;
        this.expireCredit = expireCredit;
        this.unionid = unionid;
        this.mobile = mobile;
        this.province = province;
        this.city = city;
        this.area = area;
        this.birthday = birthday;
        this.devicesNum = devicesNum;
        this.createTime = createTime;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public Integer getCredit() {
        return credit;
    }

    public void setCredit(Integer credit) {
        this.credit = credit;
    }

    public Integer getExpireCredit() {
        return expireCredit;
    }

    public void setExpireCredit(Integer expireCredit) {
        this.expireCredit = expireCredit;
    }

    public String getUnionid() {
        return unionid;
    }

    public void setUnionid(String unionid) {
        this.unionid = unionid;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public Date getBirthday() {
        return birthday;
    }

    public void setBirthday(Date birthday) {
        this.birthday = birthday;
    }

    public Integer getDevicesNum() {
        return devicesNum;
    }

    public void setDevicesNum(Integer devicesNum) {
        this.devicesNum = devicesNum;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getWecomTags() {
        return wecomTags;
    }

    public void setWecomTags(String wecomTags) {
        this.wecomTags = wecomTags;
    }

    public String getMiniProgramTags() {
        return miniProgramTags;
    }

    public void setMiniProgramTags(String miniProgramTags) {
        this.miniProgramTags = miniProgramTags;
    }

    public String getDevicesName() {
        return devicesName;
    }

    public void setDevicesName(String devicesName) {
        this.devicesName = devicesName;
    }
}
